{-# LANGUAGE DeriveDataTypeable #-}

module Network.FCMTP.ClientError where

import Control.Exception(Exception)
import Data.Typeable(Typeable)
import Control.Monad.Trans.SafeIO

instance IOErrorDerivation ClientError where
  coerceIOError _ = CanNotConnect
data ClientError = MXLookupError | CanNotConnect | ProtocolError deriving (Eq, Read, Show, Typeable)
instance Exception ClientError
