{-# LANGUAGE TemplateHaskell #-}

module Network.FCMTP.Relay where

import Data.FCMTP.Host
import qualified Control.Lens as L

data Relay = Relay {
  _relayHost :: Host -- ^ Relay through this hosts
  , _relayRules :: String -- ^ When the destinatary account fits this regexp
  , _relayAuth :: Maybe (String, String) -- ^ Authenticate with this (account_name, password)
  } deriving (Show)

L.makeLenses ''Relay
